\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{emploidutemps}

%\DeclareOption*{\PassOptionsToPackage\CurrentOption{graphics}}
%\ProcessOptions
\usepackage[svgnames]{xcolor}

\RequirePackage{tikz}
\usetikzlibrary{positioning}

\renewcommand{\maketitle}%
{\begin{center}%
  \Large \@title~\@date ~-- \@author%
  \normalsize%
\end{center}%
}

\usepackage{lscape}

\setlength{\baselineskip}{2pt}
\setlength{\lineskiplimit}{1pt}
\setlength{\lineskip}{0pt}

%\daywith is used in various part to control how wide columns will be.
\newcommand{\daywidth}{5.0cm}
\newcommand{\halfdaywidth}{2.5cm}
\newcommand{\hourheight}{1.75cm}

\newcommand*\hourpos[1]{\expandafter\hourpos@i#1\@nil}
\def\hourpos@i#1:#2\@nil{\strip@pt\dimexpr #1pt+#2pt/60\relax}

\newcommand*\hourdur[1]{\expandafter\hourdur@i#1\@nil*\hourheight}
\def\hourdur@i#1:#2\@nil{\strip@pt\dimexpr #1pt+#2pt/60\relax}


% Style for Days
\tikzstyle{day}=[minimum width=\daywidth, fill=lightgray!10,anchor=south west]
% Style for hours
\tikzstyle{hour}=[minimum height=\hourdur{0:55}, minimum width=0mm,anchor=north east]
\tikzstyle{hours}=[rectangle,draw, minimum width=\daywidth, anchor=north
west,text centered,text width=4.5cm]%,rounded corners=2mm]
% Stye for 1 55-minutes period or 2 55-minutes period, which are standard
\tikzstyle{1hour}=[hours,minimum height=\hourdur{0:55},text height=1ex]
\tikzstyle{2hours}=[hours,minimum height=\hourdur{1:50}]
% Style for periods on even weeks
\tikzstyle{even}=[minimum width=\halfdaywidth,text width=2.25cm,text centered]
% Style for periods on odd weeks
\tikzstyle{odd}=[xshift=\halfdaywidth,minimum width=\halfdaywidth,text
width=2.25cm,text centered]
% Style for standard pause
\tikzstyle{pause}=[hour,fill=lightgray!50,minimum width=\daywidth,anchor=north west]
\tikzstyle{pausematin}=[pause,minimum height=\hourdur{0:20}]
\tikzstyle{pausemidi}=[pause,minimum height=\hourdur{0:20}]
\tikzstyle{pauseapresmidi}=[pause,minimum height=\hourdur{0:20}]

\def\tkzDrawdays#1{%
  \node[day] (lundi) at (1,\hourpos{#1}) {lundi};%
  \node[day] (mardi) [right = of lundi] {mardi};%
  \node[day] (mercredi) [right = of mardi] {mercredi};%
  \node[day] (jeudi) [right = of mercredi] {jeudi};%
  \node[day] (vendredi) [right = of jeudi] {vendredi};%
}

%\def\tkzDrawhours

%\tikzstyle{pausematin}

\newcommand*\tkzDrawhours[2]{%
  \node[#2] at (1,\hourpos{#1}) { } ;
  \node at (0.8,\hourpos{#1}) { #1 } ;
}


